import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/depotLockBook/` + url, ...arg)

/**
 * 电子锁预约Api接口管理器
 *
 * @author xiang
 * @date  2023/09/14 09:44
 **/
export default {
	// 获取电子锁预约分页
	depotLockBookPage(data) {
		return request('page', data, 'get')
	},
	// 获取电子锁预约列表
	depotLockBookList(data) {
		return request('list', data, 'get')
	},
	// 提交电子锁预约表单 edit为true时为编辑，默认为新增
	depotLockBookSubmitForm(data, edit = false) {
		return request(edit ? 'add' : 'edit', data)
	},
	// 二级审批通过
	bankOpApproval(data) {
		return request('bankOpApproval', data)
	},
	// 删除电子锁预约
	depotLockBookDelete(data) {
		return request('delete', data)
	},
	// 获取电子锁预约详情
	depotLockBookDetail(data) {
		return request('detail', data, 'get')
	}
}
